%global gem_name smart_proxy_dynflow

%global foreman_proxy_dir /usr/share/foreman-proxy
%global foreman_proxy_bundlerd_dir %{foreman_proxy_dir}/bundler.d
%global foreman_proxy_settingsd_dir %{_sysconfdir}/foreman-proxy/settings.d

Summary: Dynflow runtime for Foreman smart proxy
Name: rubygem-%{gem_name}
Version: 0.1.3.2
Release: 1%{?dist}
Group: Applications/System
License: GPLv3
URL: https://github.com/theforeman/smart_proxy_dynflow
Source0: http://sat-r220-02.lab.eng.rdu2.redhat.com/pulp/isos/Sat6-CI/Library/custom/Source_Files/Satellite_6_2_Source_Files/%{gem_name}-%{version}.gem

Requires: ruby(rubygems)
Requires: foreman-proxy >= 1.11.0

%if 0%{?fedora}
Requires: rubygem(smart_proxy_dynflow_core) = %{version}
%else
Requires: tfm-rubygem(smart_proxy_dynflow_core) = %{version}
%endif

%if 0%{?rhel} == 6
Requires: ruby(abi)
BuildRequires: ruby(abi)
%else
Requires: ruby(release)
BuildRequires: ruby(release)
%endif
BuildRequires: rubygems-devel
BuildArch: noarch

Provides: rubygem(%{gem_name}) = %{version}
Provides: foreman-proxy-plugin-dynflow

%description
Dynflow runtime for Foreman smart proxy

%package doc
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep

%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}

mkdir -p %{buildroot}%{_localstatedir}/lib/foreman-proxy/dynflow

cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{foreman_proxy_bundlerd_dir}
cp -pa .%{gem_instdir}/bundler.plugins.d/dynflow.rb %{buildroot}%{foreman_proxy_bundlerd_dir}
mkdir -p  %{buildroot}%{foreman_proxy_settingsd_dir}
cp -pa .%{gem_instdir}/settings.d/dynflow.yml.example %{buildroot}%{foreman_proxy_settingsd_dir}/dynflow.yml

%files
%dir %{gem_instdir}
%dir %attr(750, foreman-proxy, foreman-proxy) %{_localstatedir}/lib/foreman-proxy/dynflow
%{gem_instdir}/lib
%{gem_instdir}/settings.d
%{foreman_proxy_bundlerd_dir}/dynflow.rb
%config %{foreman_proxy_settingsd_dir}/dynflow.yml
%doc %{gem_instdir}/LICENSE

%exclude %{gem_instdir}/bundler.plugins.d
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}

%changelog
* Fri May 04 2018 Zjhuntin <zhunting@redhat.com> 0.1.3.2-1
- Automatic commit of package [rubygem-smart_proxy_dynflow_core] minor release
  [0.1.3.2-1]. (zhunting@redhat.com)

* Tue May 16 2017 zjhuntin <zhunting@redhat.com> 0.1.3.1-1
- BZ #1417978 - smart_proxy_dynflow_core.service on capsule keeps failing

* Fri Jul 01 2016 Eric D Helms <ericdhelms@gmail.com> 0.1.3-1
- BZ #1322360 - Support new REX on RHEL 6 (stephen@redhat.com)

* Mon Apr 11 2016 Eric D Helms <ericdhelms@gmail.com> 0.0.7.2-1
- 

* Tue Mar 29 2016 Eric D Helms <ericdhelms@gmail.com> 0.0.7.1-1
- BZ #1320137 - Tests are failing due to logging change in smart proxy

* Fri Mar 04 2016 Eric D Helms <ericdhelms@gmail.com> 0.0.7-2
- Release smart_proxy_dynflow 0.0.6 (stbenjam@redhat.com)

* Sat Feb 20 2016 Eric D Helms <ericdhelms@gmail.com> 0.0.7-1
- new package built with tito

* Mon Jan 25 2016 Dominic Cleal <dcleal@redhat.com> 0.0.5-1
- Release smart_proxy_dynflow 0.0.5 (stbenjam@redhat.com)

* Tue Oct 06 2015 Dominic Cleal <dcleal@redhat.com> 0.0.4-1
- Release smart_proxy_dynflow 0.0.4 (RPM) (stbenjam@redhat.com)

* Mon Aug 10 2015 Stephen Benjamin <stephen@redhat.com> 0.0.3-1
- Initial release of 0.0.3
